WoW Error: Unable to Validate Game Version

February 11th, 2011 by Setta

Version Validation Error

Getting this error?  Worry not, you’re not the only one.  The hotfix today broke something with the validation.  Blizzard knows about it and is working on a fix.

http://us.battle.net/wow/en/forum/topic/2065607295

Other news, here’s the patch notes for 4.0.6a: http://us.battle.net/wow/en/blog/2259389#blog

, , , , , , ,